![SysDash Screenshot](http://marcopixel.eu/img/sysDash.png "SysDash Screenshot")

# sysDash
[![GitHub release](https://img.shields.io/github/release/MarcoPixel/sysDash.svg?colorB=97CA00?label=version)](https://github.com/MarcoPixel/sysDash/releases/latest) [![Github All Releases](https://img.shields.io/github/downloads/MarcoPixel/sysDash/total.svg?colorB=97CA00)](https://github.com/MarcoPixel/sysDash/releases) [![GitHub stars](https://img.shields.io/github/stars/MarcoPixel/sysDash.svg?colorB=007EC6)](https://github.com/MarcoPixel/sysDash/stargazers)  [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/MarcoPixel/sysDash/master/LICENSE)

A simple and clean system monitor skin for Rainmeter.


## Minimum Requirements:
- Windows 7 or higher.
- Rainmeter 4.2 (r3018 or higher).


## What's included:
- Clock skin (24hr/12hr)
- CPU usage
- RAM usage
- Hard drive usage
- Network info (additional variant with just ping and up/download)
- Media player
- Weather skin
- CPU & GPU temperatures
- Recycle bin
- Volume slider

The media player module supports all major media players, including full **Spotify** (thanks to .raptor for the Spotify plugin) and **Google Play Music Desktop Player** (thanks to @tjhrulz for his plugin) support.

## Important notes


- You need at least **Rainmeter 4.2 (r3018) or higher** to get all features of this skin. You can find the newest version on https://www.rainmeter.net/
- After installation you can access the settings by right-clicking on one of the skins then clicking on Open Settings.
- If there are no skins loaded, you have to reinstall the skin and check if the layout is getting loaded after install.

## Getting started

### Automatic installation

&nbsp;&nbsp;&nbsp;**1.**  Download the latest skin here: https://github.com/MarcoPixel/SysDash/releases

&nbsp;&nbsp;&nbsp;**2.**  Install the skin by **double-clicking** the .rmskin file and going through the installer.

&nbsp;&nbsp;&nbsp;**3.**  After finishing the setup Rainmeter will load the basic layout and the settings skin where you can access additional options.

&nbsp;&nbsp;&nbsp;**4.**  You're done! Enjoy your new Rainmeter skin!

### Manual installation

&nbsp;&nbsp;&nbsp;**1.**  Clone this repo to **Documents\Rainmeter\Skins**.

&nbsp;&nbsp;&nbsp;**2.**  Go to **.installer\plugins** and then move the 32 or 64-bit plugins (depending on your system) to &nbsp;&nbsp;&nbsp;**AppData\Roaming\Rainmeter\Plugins**.

&nbsp;&nbsp;&nbsp;**3.**  Launch Rainmeter and right-click the tray icon, press Themes and open the **SysDash** theme.

&nbsp;&nbsp;&nbsp;**4.**  You're done! Enjoy your new Rainmeter skin!

## Issues & feature requests

If you still have issues or a bug, please report them [here](https://github.com/MarcoPixel/SysDash/issues). Be sure to include details like the operating system, Rainmeter version and logs so we can help you as much as we can.

You can also request new features and help them develop by joining the discussion. Just add the **request label** to your issue and we will have a look!

#### [Click here to get to the open issues](https://github.com/MarcoPixel/SysDash/issues).

### Credits
- **Rainmeter Skin** - @MarcoPixel 
- **Spotify Plugin** - .raptor from the Rainmeter Forums
- **Google Play Music Desktop Player Plugin** - @tjhrulz 
- **Fonts** - Uni Sans & Uni Neue from fontfabric.com
- **Icons** - Feather icons (https://github.com/colebemis/feather) & [Jelle-Dekkers](http://jelle-dekkers.deviantart.com/) (GPU icon)
- **Weather Icons** - Climacons (http://adamwhitcroft.com/climacons/)
- **Wallpaper** - [Mariusz Potocki](http://potocki.com.pl/outdoor/)
- Thanks to **@khanhas** for providing his graph code and @undefinist for the refresher code.
